import { OutputHandler } from '../types/output-handler';
import { ParsedIcons } from '../types/parsed-icon';
import { MessengerInterface } from '../types/messenger-interface';
interface JsonOutputHandlerConstructorArgs {
    destinationPath: string;
    messenger?: MessengerInterface;
}
export declare class JsonOutputHandler implements OutputHandler {
    private readonly destinationPath;
    private readonly defaultFileName;
    protected messenger?: MessengerInterface;
    constructor({ destinationPath, messenger, }: JsonOutputHandlerConstructorArgs);
    run(parsedIcons: ParsedIcons): void;
}
export {};
