import { Node } from 'node-html-parser';
import { Parser } from '../types/parser';
import { TransformedInput } from '../types/transformed-input';
import { ParsedIcons } from '../types/parsed-icon';
import { MessengerInterface } from '../types/messenger-interface';
interface SvgParserConstructorArgs {
    messenger?: MessengerInterface;
}
export declare class SvgParser implements Parser {
    protected messenger?: MessengerInterface;
    constructor({ messenger }?: SvgParserConstructorArgs);
    run(transformedInput: TransformedInput): ParsedIcons;
    parseElement(element: Node): any;
}
export {};
