import { Command, flags } from '@oclif/command';
import { IConfig } from '@oclif/config';
import { Messenger } from './utils/messenger';
import { ConfigFactory } from './utils/config-factory';
import { CliLogger } from './utils/cli-logger';
declare class SvgToJson extends Command {
    protected defaults: {
        source: string;
        destination: string;
        allowedExtensions: string[];
    };
    static description: string;
    static flags: {
        version: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
        force: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        source: flags.IOptionFlag<string | undefined>;
        allowedExtensions: flags.IOptionFlag<string | undefined>;
        destination: flags.IOptionFlag<string | undefined>;
        config: flags.IOptionFlag<string | undefined>;
    };
    protected messenger: Messenger;
    protected configFactory: ConfigFactory;
    protected cliLogger: CliLogger;
    constructor(argv: string[], config: IConfig);
    run(): Promise<void>;
    protected listenMessenger(): void;
}
export = SvgToJson;
