/**
 * Applies colors to emphasize
 *
 * @param {...string} messages
 */
export declare const bold: (...messages: string[]) => string;
/**
 * Applies colors to inform
 *
 * @param {...string} messages
 */
export declare const info: (...messages: string[]) => string;
/**
 * Applies colors to signify error
 *
 * @param {...string} messages
 */
export declare const error: (...messages: string[]) => string;
/**
 * Applies colors to represent a command
 *
 * @param {...string} messages
 */
export declare const command: (...messages: string[]) => string;
/**
 * Applies colors to represent a file
 *
 * @param {...string} messages
 */
export declare const file: (...messages: string[]) => string;
