/// <reference types="node" />
import { ListenersInterface } from '../types/messenger-interface';
import { EventEmitter } from 'events';
export declare class Messenger {
    static LOG: string;
    static ERROR: string;
    static WARN: string;
    protected eventEmitter: EventEmitter;
    constructor();
    log(message?: string, ...args: any[]): void;
    error(message?: string, ...args: any[]): void;
    warn(message?: string, ...args: any[]): void;
    listen(listeners: ListenersInterface): void;
}
